package com.ozs.da.entity.mail;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author 许明
 * on 2019/5/9.
 * @version 2.0.0
 */
@ApiModel(description = "出错任务实体类")
public class ErrorJobInfo implements Serializable {
    @ApiModelProperty(dataType = "String", name = "id", value = "主键id")
    private String id;
    @ApiModelProperty(dataType = "String", name = "taskId", value = "任务id")
    private String taskId;
    @ApiModelProperty(dataType = "String", name = "taskName", value = "任务名称")
    private String taskName;
    @ApiModelProperty(dataType = "String", name = "errorDesc", value = "错误描述")
    private String errorDesc;
    @ApiModelProperty(dataType = "String", name = "sendStatus", value = "邮件发送状态，0：未发送，1：已发送")
    private String sendStatus;
    @ApiModelProperty(dataType = "String", name = "createTime", value = "出错时间")
    private String createTime;
    @ApiModelProperty(dataType = "String", name = "updateTime", value = "更新时间")
    private String updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getErrorDesc() {
        return errorDesc;
    }

    public void setErrorDesc(String errorDesc) {
        this.errorDesc = errorDesc;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
